## org.exist.xquery.test
Class JavaMethodsTest

    java.lang.Object
      org.exist.xquery.test.JavaMethodsTest

public class JavaMethodsTest
extends java.lang.Object

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`JavaMethodsTest(java.lang.String msg)`

Method Summary
`static double` `add(double a, double b)`
`static int` `add(int a, int b)`
`java.lang.String` `display(java.lang.String welcome)`
`static java.lang.String` `echo(java.lang.String arg0, boolean bool)`
`static java.lang.String` `echo(java.lang.String arg0, java.lang.String arg1)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaMethodsTest

    public JavaMethodsTest(java.lang.String msg)

Method Detail

### echo

    public static java.lang.String echo(java.lang.String arg0,
                                        java.lang.String arg1)

### echo

    public static java.lang.String echo(java.lang.String arg0,
                                        boolean bool)

### add

    public static int add(int a,
                          int b)

### add

    public static double add(double a,
                             double b)

### display

    public java.lang.String display(java.lang.String welcome)

Copyright (C) Wolfgang Meier. All rights reserved.